package intrinsic.mx.controls;

public class VideoDisplay extends intrinsic.mx.core.UIComponent {

	/** Accessors */
	public String state;
	public double totalTime;
	public boolean autoRewind;
	public Object cuePointManager;
	public int playheadUpdateInterval;
	public intrinsic.Class cuePointManagerClass;
	public int idleTimeout;
	public intrinsic.Array cuePoints;
	public int progressInterval;
	public boolean autoBandWidthDetection;
	public int videoWidth;
	public double playheadTime;
	public boolean stateResponsive;
	public double volume;
	public String source;
	public int videoHeight;
	public double bufferTime;
	public boolean live;
	public Object metadata;
	public boolean maintainAspectRatio;
	public intrinsic.mx.core.EdgeMetrics borderMetrics;
	public boolean playing;
	public boolean autoPlay;
	public int bytesTotal;
	public int bytesLoaded;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public VideoDisplay() {
}


/** Static Methods */

/** Methods */
public native void play();
public native void attachCamera(intrinsic.flash.media.Camera arg0);
public native void pause();
public native void close();
public native void load();
public native void stop();

}
